Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5116)
@@ -89,7 +89,7 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) then
-       write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) nf90_strerror(ierr)
+    if (ierr/=nf90_noerr) THEN
+       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
+       WRITE(*,*) nf90_strerror(ierr)
        stop ""
     endif
@@ -198,7 +198,7 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) then
-       write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) nf90_strerror(ierr)
+    if (ierr/=nf90_noerr) THEN
+       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
+       WRITE(*,*) nf90_strerror(ierr)
        stop ""
     endif
@@ -326,7 +326,7 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) then
-       write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) nf90_strerror(ierr)
+    if (ierr/=nf90_noerr) THEN
+       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
+       WRITE(*,*) nf90_strerror(ierr)
        stop ""
     endif
@@ -367,5 +367,5 @@
     PRINT*,'LECTURE DU TEMPS'
     ierr=nf90_inq_varid(nid,'time',timeid)
-    if(ierr/=nf90_noerr) then
+    IF(ierr/=nf90_noerr) THEN
        print *,'Variable time manquante dans cas.nc:'
        ierr=nf90_noerr
@@ -373,5 +373,5 @@
        allocate(time_val(nt_cas))
        ierr = nf90_get_var(nid,timeid,time_val)
-       if(ierr/=nf90_noerr) then
+       IF(ierr/=nf90_noerr) THEN
           print *,'Pb a la lecture de time cas.nc: '
        endif
@@ -575,5 +575,5 @@
      ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
      print *,'ierr=',i,ierr,name_var(i),var3didin(i)
-     if(ierr/=nf90_noerr) then
+     IF(ierr/=nf90_noerr) THEN
         print *,'Variable manquante dans cas.nc:',name_var(i)
      endif
@@ -581,8 +581,8 @@
   do i=1,nbvar3d
      print *,'Dans read_cas2, on va lire ',var3didin(i),name_var(i)
-     if(i<=35) then
+     IF(i<=35) THEN
         ierr = nf90_get_var(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
-        if(ierr/=nf90_noerr) then
+        IF(ierr/=nf90_noerr) THEN
            print *,'Pb a la lecture de cas.nc: ',name_var(i)
            stop "getvarup"
@@ -591,5 +591,5 @@
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
         ierr = nf90_get_var(nid,var3didin(i),resul1, count = [1, 1, ntime])
-        if(ierr/=nf90_noerr) then
+        IF(ierr/=nf90_noerr) THEN
            print *,'Pb a la lecture de cas.nc: ',name_var(i)
            stop "getvarup"
@@ -695,5 +695,5 @@
   do i=1,nbvar3d
      ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
-     if(ierr/=nf90_noerr) then
+     IF(ierr/=nf90_noerr) THEN
         print *,'Variable manquante dans cas.nc:',i,name_var(i)
         ierr=nf90_noerr
@@ -701,16 +701,16 @@
      else
         !-----------------------------------------------------------------------
-        if(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
+        IF(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),apbp, count = [1, 1, nlevel + 1])
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
            endif
            !-----------------------------------------------------------------------
-        else if(i>4.and.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else IF(i>4.and.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -720,5 +720,5 @@
            ierr = nf90_get_var(nid,var3didin(i),resul2, count = [1, 1, ntime])
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -728,5 +728,5 @@
            ierr = nf90_get_var(nid,var3didin(i),resul3)
            print *,'read2_cas(resul3), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -870,5 +870,5 @@
   do i=1,nbvar3d
      ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
-     if(ierr/=nf90_noerr) then
+     IF(ierr/=nf90_noerr) THEN
         print *,'Variable manquante dans cas.nc:',i,name_var(i)
         ierr=nf90_noerr
@@ -876,16 +876,16 @@
      else
         !-----------------------------------------------------------------------
-        if(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
+        IF(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),apbp)
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
            endif
            !-----------------------------------------------------------------------
-        else if(i>4.and.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else IF(i>4.and.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul1)
            print *,'read2_cas(resul1), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -893,8 +893,8 @@
            PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
            !-----------------------------------------------------------------------
-        else if(i>12.and.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else IF(i>12.and.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul)
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -905,5 +905,5 @@
            ierr = nf90_get_var(nid,var3didin(i),resul2)
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -914,5 +914,5 @@
            ierr = nf90_get_var(nid,var3didin(i),resul3)
            print *,'read2_cas(resul3), on a lu ',i,name_var(i)
-           if(ierr/=nf90_noerr) then
+           IF(ierr/=nf90_noerr) THEN
               print *,'Pb a la lecture de cas.nc: ',name_var(i)
               stop "getvarup"
@@ -1096,17 +1096,17 @@
   ! sont censes etre corrects.
   ! A supprimer a terme (MPL 20150623)
-  !     if ((forcing_type.eq.10).and.(1.eq.0)) then
+  !     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
   ! Check that initial day of the simulation consistent with AMMA case:
-  !      if (annee_ref.ne.2006) then
+  !      if (annee_ref.ne.2006) THEN
   !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
   !       PRINT*,'Changer annee_ref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
+  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
   !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
   !       PRINT*,'Changer dayref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
+  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
   !       PRINT*,'AMMA a fini le 11 juillet'
   !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -1117,5 +1117,5 @@
   ! Determine timestep relative to the 1st day:
   !       timeit=(day-day1)*86400.
-  !       if (annee_ref.eq.1992) then
+  !       if (annee_ref.eq.1992) THEN
   !        timeit=(day-day_cas)*86400.
   !       else
@@ -1145,6 +1145,6 @@
   !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-  if (it_cas1 > nt_cas) then
-     write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+  if (it_cas1 > nt_cas) THEN
+     WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
      stop
@@ -1311,17 +1311,17 @@
   ! sont censes etre corrects.
   ! A supprimer a terme (MPL 20150623)
-  !     if ((forcing_type.eq.10).and.(1.eq.0)) then
+  !     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
   ! Check that initial day of the simulation consistent with AMMA case:
-  !      if (annee_ref.ne.2006) then
+  !      if (annee_ref.ne.2006) THEN
   !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
   !       PRINT*,'Changer annee_ref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
+  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
   !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
   !       PRINT*,'Changer dayref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
+  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
   !       PRINT*,'AMMA a fini le 11 juillet'
   !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -1332,5 +1332,5 @@
   ! Determine timestep relative to the 1st day:
   !       timeit=(day-day1)*86400.
-  !       if (annee_ref.eq.1992) then
+  !       if (annee_ref.eq.1992) THEN
   !        timeit=(day-day_cas)*86400.
   !       else
@@ -1361,6 +1361,6 @@
   !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-  if (it_cas1 > nt_cas) then
-     write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+  if (it_cas1 > nt_cas) THEN
+     WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
      stop
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5116)
@@ -101,7 +101,7 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) then
-       write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       write(*,*) nf90_strerror(ierr)
+    if (ierr/=nf90_noerr) THEN
+       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
+       WRITE(*,*) nf90_strerror(ierr)
        stop ""
     endif
@@ -142,5 +142,5 @@
     PRINT*,'LECTURE DU TEMPS'
     ierr=nf90_inq_varid(nid,'time',timeid)
-    if(ierr/=nf90_noerr) then
+    IF(ierr/=nf90_noerr) THEN
        print *,'Variable time manquante dans cas.nc:'
        ierr=nf90_noerr
@@ -148,5 +148,5 @@
        allocate(time_val(nt_cas))
        ierr = nf90_get_var(nid,timeid,time_val)
-       if(ierr/=nf90_noerr) then
+       IF(ierr/=nf90_noerr) THEN
           print *,'A Pb a la lecture de time cas.nc: '
        endif
@@ -413,5 +413,5 @@
 
     ierr=nf90_inq_varid(nid,'ta',int_test)
-    if(ierr/=nf90_noerr) then
+    IF(ierr/=nf90_noerr) THEN
        PRINT*, '++++++++++++++++++++++++++++++'
        PRINT*, 'variable ta missing in cas.nc '
@@ -431,5 +431,5 @@
        ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
        PRINT*, 'name_var(i)', name_var(i), var3didin(i)
-       if(ierr/=nf90_noerr) then
+       IF(ierr/=nf90_noerr) THEN
           print *,'Variable manquante dans cas.nc:',i,name_var(i)
           ierr=nf90_noerr
@@ -453,8 +453,8 @@
           ! Reading variables 1D (N+1) vertical variables (nlevelp1,lat,lon)
           !-----------------------------------------------------------------------
-          if(i<=4) then
+          IF(i<=4) THEN
              ierr = nf90_get_var(nid,var3didin(i),apbp)
              print *,'read_SCM(apbp), on a lu ',i,name_var(i)
-             if(ierr/=nf90_noerr) then
+             IF(ierr/=nf90_noerr) THEN
                 print *,'B Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -464,8 +464,8 @@
              !  Reading 1D (N) vertical varialbes    (nlevel,lat,lon)   
              !-----------------------------------------------------------------------
-          else if(i>4.and.i<=12) then
+          else IF(i>4.and.i<=12) THEN
              ierr = nf90_get_var(nid,var3didin(i),resul1)
              print *,'read_SCM(resul1), on a lu ',i,name_var(i)
-             if(ierr/=nf90_noerr) then
+             IF(ierr/=nf90_noerr) THEN
                 print *,'C Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -477,8 +477,8 @@
              !  TBD : seems to be the same as above.
              !-----------------------------------------------------------------------
-          else if(i>12.and.i<=61) then
+          else IF(i>12.and.i<=61) THEN
              ierr = nf90_get_var(nid,var3didin(i),resul)
              print *,'read_SCM(resul), on a lu ',i,name_var(i)
-             if(ierr/=nf90_noerr) then
+             IF(ierr/=nf90_noerr) THEN
                 print *,'D Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -489,8 +489,8 @@
              !  Reading 1D time variables (time,lat,lon)
              !-----------------------------------------------------------------------
-          else if (i>62.and.i<=75) then
+          else if (i>62.and.i<=75) THEN
              ierr = nf90_get_var(nid,var3didin(i),resul2)
              print *,'read_SCM(resul2), on a lu ',i,name_var(i)
-             if(ierr/=nf90_noerr) then
+             IF(ierr/=nf90_noerr) THEN
                 print *,'E Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -504,5 +504,5 @@
              ierr = nf90_get_var(nid,var3didin(i),resul3)
              print *,'read_SCM(resul3), on a lu ',i,name_var(i)
-             if(ierr/=nf90_noerr) then
+             IF(ierr/=nf90_noerr) THEN
                 print *,'F Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
@@ -735,17 +735,17 @@
     ! sont censes etre corrects.
     ! A supprimer a terme (MPL 20150623)
-    !     if ((forcing_type.eq.10).and.(1.eq.0)) then
+    !     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
     ! Check that initial day of the simulation consistent with AMMA case:
-    !      if (annee_ref.ne.2006) then
+    !      if (annee_ref.ne.2006) THEN
     !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
     !       PRINT*,'Changer annee_ref dans run.def'
     !       stop
     !      endif
-    !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
+    !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
     !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
     !       PRINT*,'Changer dayref dans run.def'
     !       stop
     !      endif
-    !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
+    !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
     !       PRINT*,'AMMA a fini le 11 juillet'
     !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -756,5 +756,5 @@
     ! Determine timestep relative to the 1st day:
     !       timeit=(day-day1)*86400.
-    !       if (annee_ref.eq.1992) then
+    !       if (annee_ref.eq.1992) THEN
     !        timeit=(day-day_cas)*86400.
     !       else
@@ -785,6 +785,6 @@
     !     print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-    if (it_cas1 > nt_cas) then
-       write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+    if (it_cas1 > nt_cas) THEN
+       WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
             ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
        stop
@@ -987,6 +987,5 @@
     do l = 1, llm
 
-       if (play(l)>=plev_prof_cas(nlev_cas)) then
-
+       if (play(l)>=plev_prof_cas(nlev_cas)) THEN
           mxcalc=l
           !        print *,'debut interp2, mxcalc=',mxcalc
@@ -994,8 +993,7 @@
           k2=0
 
-          if (play(l)<=plev_prof_cas(1)) then
-
+          if (play(l)<=plev_prof_cas(1)) THEN
              do k = 1, nlev_cas-1
-                if (play(l)<=plev_prof_cas(k).and. play(l)>plev_prof_cas(k+1)) then
+                if (play(l)<=plev_prof_cas(k).and. play(l)>plev_prof_cas(k+1)) THEN
                    k1=k
                    k2=k+1
@@ -1003,9 +1001,9 @@
              enddo
 
-             if (k1==0 .or. k2==0) then
-                write(*,*) 'PB! k1, k2 = ',k1,k2
-                write(*,*) 'l,play(l) = ',l,play(l)/100
+             if (k1==0 .or. k2==0) THEN
+                WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+                WRITE(*,*) 'l,play(l) = ',l,play(l)/100
                 do k = 1, nlev_cas-1
-                   write(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
+                   WRITE(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
                 enddo
              endif
@@ -1017,5 +1015,5 @@
              t_mod_cas(l)= t_prof_cas(k2) - frac*(t_prof_cas(k2)-t_prof_cas(k1))
              theta_mod_cas(l)= th_prof_cas(k2) - frac*(th_prof_cas(k2)-th_prof_cas(k1))
-             if(theta_mod_cas(l)/=0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
+             IF(theta_mod_cas(l)/=0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
              thv_mod_cas(l)= thv_prof_cas(k2) - frac*(thv_prof_cas(k2)-thv_prof_cas(k1))
              thl_mod_cas(l)= thl_prof_cas(k2) - frac*(thl_prof_cas(k2)-thl_prof_cas(k1))
@@ -1066,5 +1064,5 @@
              t_mod_cas(l)= frac1*t_prof_cas(k1) - frac2*t_prof_cas(k2)
              theta_mod_cas(l)= frac1*th_prof_cas(k1) - frac2*th_prof_cas(k2)
-             if(theta_mod_cas(l)/=0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
+             IF(theta_mod_cas(l)/=0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
              thv_mod_cas(l)= frac1*thv_prof_cas(k1) - frac2*thv_prof_cas(k2)
              thl_mod_cas(l)= frac1*thl_prof_cas(k1) - frac2*thl_prof_cas(k2)
@@ -1163,14 +1161,12 @@
     do l = 1, llm+1
 
-       if (plev(l)>=plev_prof_cas(nlev_cas)) then
-
+       if (plev(l)>=plev_prof_cas(nlev_cas)) THEN
           mxcalc=l
           k1=0
           k2=0
 
-          if (plev(l)<=plev_prof_cas(1)) then
-
+          if (plev(l)<=plev_prof_cas(1)) THEN
              do k = 1, nlev_cas-1
-                if (plev(l)<=plev_prof_cas(k).and. plev(l)>plev_prof_cas(k+1)) then
+                if (plev(l)<=plev_prof_cas(k).and. plev(l)>plev_prof_cas(k+1)) THEN
                    k1=k
                    k2=k+1
@@ -1178,9 +1174,9 @@
              enddo
 
-             if (k1==0 .or. k2==0) then
-                write(*,*) 'PB! k1, k2 = ',k1,k2
-                write(*,*) 'l,plev(l) = ',l,plev(l)/100
+             if (k1==0 .or. k2==0) THEN
+                WRITE(*,*) 'PB! k1, k2 = ',k1,k2
+                WRITE(*,*) 'l,plev(l) = ',l,plev(l)/100
                 do k = 1, nlev_cas-1
-                   write(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
+                   WRITE(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
                 enddo
              endif
